> ## Documentation Index
> Fetch the complete documentation index at: https://docs.osint.ly/llms.txt
> Use this file to discover all available pages before exploring further.

# List Reddit routes



## OpenAPI

````yaml /tools-reference/openapi.json get /tools/reddit
openapi: 3.1.0
info:
  title: Osintly Tools API
  version: 1.0.0
  description: >-
    OpenAPI specification for Osintly Epic Games, Vehicle History Finder, Xbox,
    PlayStation Network, Roblox, Steam, Social Club, and Reddit tools and
    catalog endpoints.
  contact:
    name: Osintly
    url: https://docs.osint.ly/tools-reference/introduction
servers:
  - url: https://api.osint.ly
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Tools Catalog
    description: Discover available tools, metadata, and route costs.
  - name: Epic Games
    description: Direct Epic Games account validation and enrichment endpoints.
  - name: Vehicle History Finder
    description: >-
      Vehicle history enrichment endpoints for US VINs and French license
      plates.
  - name: Xbox
    description: Direct Xbox Live account validation and enrichment endpoints.
  - name: PlayStation Network
    description: Direct PlayStation Network account validation and enrichment endpoints.
  - name: Roblox
    description: Direct Roblox account validation and enrichment endpoints.
  - name: Steam
    description: Direct Steam account validation and enrichment endpoints.
  - name: Social Club
    description: Direct Rockstar Social Club account validation and enrichment endpoints.
  - name: Reddit
    description: >-
      Reddit profile and public archived activity validation and enrichment
      endpoints.
paths:
  /tools/reddit:
    get:
      tags:
        - Reddit
      summary: List Reddit routes
      operationId: getRedditIndex
      responses:
        '200':
          $ref: '#/components/responses/ToolRouteIndex'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/PlanFeatureRequired'
components:
  responses:
    ToolRouteIndex:
      description: Tool route index
      content:
        application/json:
          schema:
            type: object
            additionalProperties: true
          example:
            tool: epic-games
            operation: index
            query:
              tool: epic-games
            data:
              routes:
                - method: GET
                  path: /tools/epic-games
                - method: POST
                  path: /tools/epic-games/search
                - method: POST
                  path: /tools/epic-games/suggestions
                - method: POST
                  path: /tools/epic-games/resolve
                - method: POST
                  path: /tools/epic-games/linked-accounts
                - method: POST
                  path: /tools/epic-games/tags
                - method: POST
                  path: /tools/epic-games/regions
                - method: POST
                  path: /tools/epic-games/friends-achievements
                - method: POST
                  path: /tools/epic-games/creator
                - method: POST
                  path: /tools/epic-games/profile-db
                - method: POST
                  path: /tools/epic-games/all
            meta:
              timestamp: '2026-06-28T12:00:00.000Z'
    Unauthorized:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: UNAUTHORIZED
              message: Unauthorized
              details: A valid API key is required
            meta:
              timestamp: '2026-06-28T12:00:00.000Z'
    PlanFeatureRequired:
      description: >-
        The authenticated account does not have a paid API subscription with
        tools access
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: PLAN_FEATURE_REQUIRED
              message: Plan feature required
              details: >-
                Tools require a paid API subscription with the tools feature
                enabled
            meta:
              timestamp: '2026-06-28T12:00:00.000Z'
  schemas:
    ErrorResponse:
      type: object
      required:
        - error
        - meta
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            details: {}
          additionalProperties: true
        meta:
          $ref: '#/components/schemas/ResponseMeta'
      additionalProperties: false
    ResponseMeta:
      type: object
      required:
        - timestamp
      properties:
        timestamp:
          type: string
          format: date-time
        savedResult:
          $ref: '#/components/schemas/SavedToolResult'
      additionalProperties: true
    SavedToolResult:
      type: object
      required:
        - id
        - url
      properties:
        id:
          type: string
          format: uuid
        url:
          type: string
          format: uri
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````